Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface StrucDocRenderMultiMedia

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  StrucDocRenderMultiMediaImpl

    public interface StrucDocRenderMultiMedia

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Struc Doc Render Multi Media'.

The following features are supported:

- `Caption`
- `ID`
- `Language`
- `Referenced Object`
- `Style Code`

See Also:
  `CDAR2Package.getStrucDocRenderMultiMedia()`

Method Summary
`StrucDocCaption` | `getCaption()` Returns the value of the 'Caption' containment reference.
`java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
`java.lang.String` | `getLanguage()` Returns the value of the 'Language' attribute.
`java.util.List` | `getReferencedObject()` Returns the value of the 'Referenced Object' attribute.
`java.util.List` | `getStyleCode()` Returns the value of the 'Style Code' attribute.
`void` | `setCaption(StrucDocCaption value)` Sets the value of the '`Caption`' containment reference.
`void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
`void` | `setLanguage(java.lang.String value)` Sets the value of the '`Language`' attribute.
`void` | `setReferencedObject(java.util.List value)` Sets the value of the '`Referenced Object`' attribute.
`void` | `setStyleCode(java.util.List value)` Sets the value of the '`Style Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCaption

    StrucDocCaption getCaption()

  Returns the value of the 'Caption' containment reference.

  If the meaning of the 'Caption' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Caption' containment reference.
  See Also:
    `setCaption(StrucDocCaption)`, `CDAR2Package.getStrucDocRenderMultiMedia_Caption()`

### setCaption

    void setCaption(StrucDocCaption value)

  Sets the value of the '`Caption`' containment reference.

  Parameters:
    `value` - the new value of the 'Caption' containment reference.
  See Also:
    `getCaption()`

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `CDAR2Package.getStrucDocRenderMultiMedia_ID()`

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`

### getLanguage

    java.lang.String getLanguage()

  Returns the value of the 'Language' attribute.

  If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Language' attribute.
  See Also:
    `setLanguage(String)`, `CDAR2Package.getStrucDocRenderMultiMedia_Language()`

### setLanguage

    void setLanguage(java.lang.String value)

  Sets the value of the '`Language`' attribute.

  Parameters:
    `value` - the new value of the 'Language' attribute.
  See Also:
    `getLanguage()`

### getReferencedObject

    java.util.List getReferencedObject()

  Returns the value of the 'Referenced Object' attribute.

  If the meaning of the 'Referenced Object' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referenced Object' attribute.
  See Also:
    `setReferencedObject(List)`, `CDAR2Package.getStrucDocRenderMultiMedia_ReferencedObject()`

### setReferencedObject

    void setReferencedObject(java.util.List value)

  Sets the value of the '`Referenced Object`' attribute.

  Parameters:
    `value` - the new value of the 'Referenced Object' attribute.
  See Also:
    `getReferencedObject()`

### getStyleCode

    java.util.List getStyleCode()

  Returns the value of the 'Style Code' attribute.

  If the meaning of the 'Style Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Style Code' attribute.
  See Also:
    `setStyleCode(List)`, `CDAR2Package.getStrucDocRenderMultiMedia_StyleCode()`

### setStyleCode

    void setStyleCode(java.util.List value)

  Sets the value of the '`Style Code`' attribute.

  Parameters:
    `value` - the new value of the 'Style Code' attribute.
  See Also:
    `getStyleCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD